/*****************************************************************************
 * SCB_Optimization_Core0.h
 *****************************************************************************/

#ifndef __SCB_OPTIMIZATION_CORE0_H__
#define __SCB_OPTIMIZATION_CORE0_H__


#include <ccblkfn.h>
#include <CdefBf609.h>
#include <services/int/adi_int.h>
#include "adi_initialize.h"
#include <stdio.h>

/* Add your custom header content here */
int timer_init(void);
int mdma_init(void);
int scb_init(void);


// Global buffer size
#define BUFF_SIZE 1024

#define MAX_SIZE 8*1024

// Memory Placement
//#define L1
#define L2
//#define SDRAM

// Test Cases

// Default Configuration
#define TEST_CASE 1

// Increase 1 set of Slots for 1 MDMA- pair
//#define TEST_CASE 2

// Increase 2 set of Slots for 1 MDMA- pair
//#define TEST_CASE 3

#define DEBUG
/*****************************************************************************/

#endif /* __SCB_OPTIMIZATION_CORE0_H__ */
