/*****************************************************************************
 * MDMA_Throughput_Measurements_Core0.h
 *****************************************************************************/

//Modify the DMA paramters here in this file
#ifndef __MDMA_THROUGHPUT_MEASUREMENTS_CORE0_H__
#define __MDMA_THROUGHPUT_MEASUREMENTS_CORE0_H__

#define SOURCE_MDMA_CHANNEL 23
#define DEST_MDMA_CHANNEL 24

#define SOURCE_PSIZE 4
#define DEST_PSIZE   4
#define SOURCE_MSIZE 32
#define DEST_MSIZE   32
#define SOURCE_DMA_CFG ENUM_DMA_CFG_MSIZE32|ENUM_DMA_CFG_PSIZE04
#define DEST_DMA_CFG BITM_DMA_CFG_WNR|ENUM_DMA_CFG_PSIZE04|ENUM_DMA_CFG_MSIZE32|ENUM_DMA_CFG_XCNT_INT

#define CCLK_SPEED 500

#define MAX_SIZE 16*1024

#endif /* __MDMA_THROUGHPUT_MEASUREMENTS_CORE0_H__ */
